Bug 986692 - gdm "Oh No! Something has gone wrong!"
gdm "Oh No! Something has gone wrong!"
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
21
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-21 12:41 EDT by John Ellson
Modified: 2015-12-02 11:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:54:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2013-07-21 12:41:59 EDT
Description of problem:
The bug I'm reporting *is* the error screen with the message:
     "Oh No!  Something has gone wrong!"

It provides no context, no pointer to error logs or possible causes, and no way to cleanly get out.  Hitting return on the "Log Out" button just hangs the system.

Version-Release number of selected component (if applicable):
gdm-3.8.3-2.fc19.x86_64

How reproducible:
100%

Steps to Reproduce:
1. reboot
2. (clearly there is some other precondition that GDM does not like, but I've no idea what it is.)
3.

Actual results:
GDM reports "Oh No!  Something has gone wrong!"

Expected results:
A useful error message that reports context, enables me to investigate, makes it possible for me fix and/or report a bug.
Comment 1 Steve 2013-08-02 16:45:33 EDT
I can confirm this bug. No gdm-login-screen ("Oh No! Something has gone wrong!") since kernel-3.10.
Comment 2 Steve 2013-08-04 02:39:45 EDT
I think this is a problem of (a)kmod-catalyst. John, do you have (a)kmod-catalyst installed?
Comment 3 John Ellson 2013-08-05 18:02:54 EDT
No (a)kmod-catalyst installed..

..and, respectfully, I think you're missing my point.   I'm not trying to report the underlying problem, I'm reporting the error message itself!

It a totally useless error message, in fact its worse that useless since it obscures any possibly useful information.

I want a better error message, then we can have a better look at the other problems.
Comment 4 Stephen Hatfield 2013-09-02 17:56:49 EDT
I have the same issue.  Sometimes I am able to hit ctrl+alt+f2 abd log in long enough to run init 6 or ctrl+alt+del but most times it requires the power switch off for a few seconds . . . 

I have those packages and also think it is associated:

akmod-catalyst-13.8-0.2.beta1.fc19.x86_64
kmod-catalyst-3.9.9-302.fc19.x86_64-13.8-0.2.beta1.fc19.x86_64
xorg-x11-drv-catalyst-13.8-0.1.beta1.fc19.x86_64
xorg-x11-drv-catalyst-libs-13.8-0.1.beta1.fc19.x86_64

I have been unable to update my kernel and those packages since:  

3.9.9-302.fc19.x86_64 #1 SMP Sat Jul 6 13:41:07 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

How do I get this to the right folks?
Comment 5 Fedora End Of Life 2015-01-09 14:02:00 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 John Ellson 2015-02-06 11:19:12 EST
I still see this useless message in Fedora 21.

It doesn't matter waht causes the error.  Please just get rid of this annoying "Oh No!  Something has gone wrong!" screen and replace it with an error reporting mechanism with some useful content.   Like, what executable is reporting the error,  and some unique identifiers that can be tracked back into the source code.
Comment 7 Atro Tossavainen 2015-03-12 16:48:04 EDT
I just started using Fedora 21. This is on i386 (a 32 bit Thinkpad T60 platform). No wonky kernel modules from third parties, the graphics are Intel 945. Imagine my surprise when I first bumped into this error. I've never seen anything this bad on a Linux system, and I've been using Linux since 1997. CentOS 6 is rock solid on this platform. Now there appears to be something that LinkedIn does on the browser that triggers this, but of course it's totally impossible to debug. I am probably going to end up deleting Fedora and trying Ubuntu. At least it only freezes the browser for minutes at a time, but doesn't crash.
Comment 8 Leonard Siebeneicher 2015-03-24 06:21:52 EDT
Since I upgrade (Fedora 20 to Fedora 21) I was not able to get a working desktop with NVidia proprietary drivers (akmod / kmod nvidia drivers). I get message ("oh no ...") if I try.
Comment 9 Michael Abbott 2015-06-06 08:33:50 EDT
I had exactly this error message after running `fedup --network 22` from fedora 21 and rebooting.  Ok, fedup had warned me that there were dependency problems with kmod-nvidia ... but this is seriously not the way to do an upgrade!

It turns out that the workaround (in my case) was very easy:

1. Type C-A-F2 to get a console
2. Log in as root
3. Run `dnf install kmod-nvidia`
4. Reboot

I can see that the nvidia driver is a pain ... but almost everybody's got one, so I'm amazed to get this problem on a routine upgrade.

Even more remarkable: I can find no mention of this issue on the Common_F22_bugs page.
Comment 10 Fedora End Of Life 2015-11-04 06:34:08 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-12-01 21:54:21 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.